TokyoTyrantIterator::current
TokyoTyrantIterator::next
TokyoTyrantIterator
PHP Manual

# TokyoTyrantIterator::key

(PECL tokyo_tyrant >= 0.2.0)

TokyoTyrantIterator::key — Returns the current key

### Description

public mixed TokyoTyrantIterator::key ( void )

Returns the current key.

### Parameters

This function has no parameters.

### Return Values

Returns the current key on success and false on failure.

### See Also

- TokyoTyrantIterator::valid() - Rewinds the iterator
- TokyoTyrantIterator::current() - Get the current value
- TokyoTyrantIterator::next() - Move to next key
- TokyoTyrantIterator::rewind() - Rewinds the iterator

TokyoTyrantIterator::current
TokyoTyrantIterator::next
TokyoTyrantIterator
PHP Manual